Subject: Re: [RFC PATCH] Makefile: new prove target for running the tests with TAP

From: Michael J Gruber <[email-masked]>
Date: Fri, 29 Oct 2010 15:19:20 +0200

Ævar Arnfjörð Bjarmason venit, vidit, dixit 27.10.2010 13:00:
> On Wed, Oct 27, 2010 at 06:57, Jeff King <[email-masked]> wrote:
>> On Tue, Oct 26, 2010 at 05:18:22PM -0700, Junio C Hamano wrote:
>>
>>>> like -j16, but it's a pain to construct the command line (especially as
>>>> I use --root in GIT_TEST_OPTS to get a significant speedup).
>>> [..]
>>> I kind of like this.  Perhaps with something like this squashed in?
>>
>> Yeah, looks good to me. I guess you can steal the commit message and
>> authorship from Michael's original.
>>
>> Ævar mentioned something about t/harness, which I honestly have no idea
>> about (I don't have the right perl modules installed to run it). But
>> maybe that could be an alternate DEFAULT_TEST_TARGET. I dunno.
> 
> The non-standard module there is only needed for the smoke testing.
> 
> If we used t/harness for running "make test" that code could be
> modified to run anywhere prove itself does.
> 
> Anyway, if there's a patch now to invoke prove(1) let's use that. We
> can change it to t/harness later if that makes sense.

Thanks, Junio, for taking this up (and others for discussing it), I've
been out of the loop a bit. I'll try and keep up with my other
half-baked patches ;)

Michael